test: tagIMEINFOEX struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagIMEINFOEX Struct Reference

`#include <immstruc.h>`

List of all members.

## Public Attributes

HKL | hkl
IMEINFO | ImeInfo
WCHAR | wszUIClass [IM_UI_CLASS_SIZE]
DWORD | fdwInitConvMode
BOOL | fInitOpen
BOOL | fLoadFlag
DWORD | dwProdVersion
DWORD | dwImeWinVersion
WCHAR | wszImeDescription [IM_DESC_SIZE]
WCHAR | wszImeFile [IM_FILE_SIZE]

## Member Data Documentation

DWORD tagIMEINFOEX::dwImeWinVersion

| Definition at line 107 of file immstruc.h. Referenced by ImmGetProperty(), IMPGetIMEWorker(), and LoadFixVersionInfo().

DWORD tagIMEINFOEX::dwProdVersion

| Definition at line 106 of file immstruc.h. Referenced by LoadFixVersionInfo().

DWORD tagIMEINFOEX::fdwInitConvMode

| Definition at line 103 of file immstruc.h.

BOOL tagIMEINFOEX::fInitOpen

| Definition at line 104 of file immstruc.h.

BOOL tagIMEINFOEX::fLoadFlag

| Definition at line 105 of file immstruc.h. Referenced by ImmGetProperty(), ImmLoadLayout(), LoadIME(), LoadImeDpi(), and SetImeInfoEx().

HKL tagIMEINFOEX::hkl

| Definition at line 100 of file immstruc.h. Referenced by GetImeInfoEx(), ImmGetImeInfoEx(), ImmIMPQueryIMEW(), ImmIMPSetIMEW(), ImmInstallIMEW(), ImmLoadLayout(), LoadVarVersionInfo(), and SetImeInfoEx().

IMEINFO tagIMEINFOEX::ImeInfo

| Definition at line 101 of file immstruc.h. Referenced by CreateIMEUI(), ImmGetProperty(), LoadIME(), and xxxImmProcessKey().

WCHAR tagIMEINFOEX::wszImeDescription[IM_DESC_SIZE]

| Definition at line 108 of file immstruc.h. Referenced by ImmGetDescriptionA(), ImmGetDescriptionW(), IMPGetIMEWorker(), and LoadVarVersionInfo().

WCHAR tagIMEINFOEX::wszImeFile[IM_FILE_SIZE]

| Definition at line 109 of file immstruc.h. Referenced by GetImeInfoEx(), ImmGetIMEFileNameA(), ImmGetIMEFileNameW(), ImmGetImeInfoEx(), ImmInstallIMEW(), ImmLoadLayout(), IMPGetIMEWorker(), LoadIME(), and LoadVersionInfo().

WCHAR tagIMEINFOEX::wszUIClass[IM_UI_CLASS_SIZE]

| Definition at line 102 of file immstruc.h. Referenced by CreateIMEUI(), and LoadIME().

The documentation for this struct was generated from the following file:

- immstruc.h